Subject: bug#51277: 27.1; menu-set-font not loading correct font

From: Jesse Sheidlower <[email-masked]>
Date: Wed, 20 Oct 2021 07:30:21 -0400

On Wed, Oct 20, 2021 at 10:50:35AM +0200, Robert Pluim wrote:
> >>>>> On Tue, 19 Oct 2021 14:17:01 -0400, Jesse Sheidlower <[email-masked]> said:
> 
>     Jesse> On Tue, Oct 19, 2021 at 09:14:34PM +0300, Eli Zaretskii wrote:
>     >> > Date: Tue, 19 Oct 2021 14:08:43 -0400
>     >> > From: Jesse Sheidlower <[email-masked]>
>     >> > Cc: [email-masked]
>     >> > 
>     >> > > Another thing I see is that you have 3 active font backends: xfont,
>     >> > > ftfont, and fcrhb.  Maybe that has something to do with the issue...
>     >> > 
>     >> > Is there a "best" one to use?
>     >> 
>     >> That'd be fcrhb.
>     >> 
>     >> > And what's the correct sequence to test this in our current framework?
>     >> 
>     >> What would you like to test?
> 
>     Jesse> Whether using a single font backend will allow Emacs to find the font
>     Jesse> I'm trying to select.
> 
> If you want to test restricting emacs to a single font-backend, put
> something like the following in your .emacs
> 
> (add-to-list 'default-frame-alist '(font-backend ftcrhb))
> 
> (and note that itʼs spelled 'ftcrhb', not 'fcrhb').
> 
> If the font is found with xfont or ftfont, but not with ftcrhb, that
> would be somewhat surprising, given that ftcrhb finds the 'bold' version.

Thank you for this. I saw that that was a way to do it, but putting it
in my .emacs conflicts with running emacs -Q. But assuming that it's
OK at this point to run emacs without -Q, I did try it.

There is no difference in the result: whether I restrict emacs to xfont,
ftfont, or ftcrhb, it still loads the "Bold" file even when I select the
"Book" version from menu-set-font.

Where does this leave us? It does still seem like a bug (albeit one that
apparently affects very few people).

Jesse